import { Routes } from '@angular/router';
import { UserListComponent } from './user-list/user-list.component';
import { UserFormComponent } from './user-form/user-form.component';
import { TransactionComponent } from './transaction/transaction.component';
import { TransactionListComponent } from './transaction-list/transaction-list.component';

export const routes: Routes = [
    {
        path: '',
        component: UserListComponent
    },
    {
        path: 'user-list',
        component: UserListComponent
    },
    {
        path: 'add-user',
        component: UserFormComponent
    },
    {
        path: 'edit-user/:id',
        component: UserFormComponent
    },
    {
        path: 'add-transaction',
        component: TransactionComponent
    },
    {
        path: 'transactions-of/:userId',
        component: TransactionListComponent
    }
];
