import "reflect-metadata"
import { DataSource } from "typeorm"
import { User } from "./entity/User"
import { Category } from "./entity/Category"
import { Transaction } from "./entity/Transaction"

export const AppDataSource = new DataSource({
    type: "mysql",
    host: "localhost",
    port: 3306,
    username: "root",
    database: "infrend2024_sz18",
    synchronize: true,
    logging: true,
    entities: [Category, Transaction, User],
    migrations: [],
    subscribers: [],
})
